from pydantic_settings import BaseSettings, SettingsConfigDict

class Config(BaseSettings):
    model_config = SettingsConfigDict(env_file=".env")

    api_server: str
    api_token: str
    server_id: str
    save_dir: str
    discord_webhook: str
    main_domain: str
    discord_enabled: int
    discord_backupname: str

cfg = Config()

def get_config() -> Config:
    return Config()