import discordwebhook, datetime

def send_url_to_discord(webhook_url: str, backup_url: str, datetim: datetime.datetime, backup_name: str):
    webhook = discordwebhook.Webhook(url=webhook_url)
    embed = discordwebhook.Embed(title=f"Backup of {backup_name} from {datetim.strftime("%Y-%m-%d")}", description=backup_url)
    webhook.send_sync(content="", embed=embed)